package model

type QrcodeWithBatchRecords struct {
	Id       int64  `json:"id" xorm:"not null pk autoincr BIGINT(32)"`
	QrcodeId int    `json:"qrcode_id" xorm:"not null default 0' comment('二维码id') INT(11)"`
	BatchId  int    `json:"batch_id" xorm:"not null default 0' comment('批次id') INT(11)"`
	Amount   string `json:"amount" xorm:"not null default 0.00 comment('金额') DECIMAL(6,2)"`
	State    int32  `json:"state" xorm:"not null default 1 comment('状态(1:待使用 2:已使用 3:已过期 4:已作废)') TINYINT(1)"`
	CreateAt string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
