package model

type Qrcode struct {
	Id       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Url      string `json:"url" xorm:"not null default '' comment('url地址')  VARCHAR(255)"`
	State    int32  `json:"state" xorm:"not null default 1 comment('状态(1:可用 2:不可用) ') TINYINT(1)"`
	Identity string `json:"identity" xorm:"not null default '' comment('唯一标识符(随机6位字母+数字)') CHAR(50)"`
	CreateAt string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
